Vulnerability CVE-2013-7039


Published: 2013-12-13

Description:
Stack-based buffer overflow in the MHD_digest_auth_check function in libmicrohttpd before 0.9.32, when MHD_OPTION_CONNECTION_MEMORY_LIMIT is set to a large value, allows remote attackers to cause a denial of service (crash) or possibly execute arbitrary code via a long URI in an authentication header.

Type:

CWE-119

(Improper Restriction of Operations within the Bounds of a Memory Buffer)

CVSS2 => (AV:N/AC:H/Au:N/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5.1/10
6.4/10
4.9/10
Exploit range
Attack complexity
Authentication
Remote
High
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
GNU -> Libmicrohttpd 

 References:
https://gnunet.org/svn/libmicrohttpd/ChangeLog
https://bugzilla.redhat.com/show_bug.cgi?id=1039390
https://bugs.gentoo.org/show_bug.cgi?id=493450
http://www.securityfocus.com/bid/64138
http://www.openwall.com/lists/oss-security/2013/12/09/11
http://security.gentoo.org/glsa/glsa-201402-01.xml
http://secunia.com/advisories/55903

Copyright 2021, cxsecurity.com

 

Back to Top